

.aeContainerWrap div.ae-paragraph{line-height:1.4em}
/* type common */
.aeContainerWrap div.ae-paragraph[data-ae-style="left"] {text-align:left}
.aeContainerWrap div.ae-paragraph[data-ae-style="center"] {text-align:center}
.aeContainerWrap div.ae-paragraph[data-ae-style="right"] {text-align:right}
.aeContainerWrap div.ae-paragraph[data-ae-style="justify"] {text-align:justify}

/* type image */
.aeContainerWrap div.ae-paragraph[data-ae-type='image'] {}
.aeContainerWrap div.ae-paragraph[data-ae-type='image'] .ae-image-cover {display:inline-block}
.aeContainerWrap div.ae-paragraph[data-ae-type='image'] .ae-image-cover a {display:inline-block}
.aeContainerWrap div.ae-paragraph[data-ae-type='image'] .ae-image-cover.ae-imgs {display:block}
.aeContainerWrap div.ae-paragraph[data-ae-type='image'][data-ae-style="full"] .ae-image-cover {display:block}
.aeContainerWrap div.ae-paragraph[data-ae-type='image'][data-ae-style="full"] .ae-image-cover img {max-width:none;width:100%}
.aeContainerWrap div.ae-paragraph[data-ae-type='image'][data-ae-style="full"] .ae-image-cover a {display:block}
.aeContainerWrap div.ae-paragraph[data-ae-type='image'] .ae-image-cover > div {display:inline-block;vertical-align:top}
.aeContainerWrap div.ae-paragraph[data-ae-type='image'] .ae-image-cover > div.ae-image-text {display:block;text-align:center}
.aeContainerWrap div.ae-paragraph[data-ae-type='image'][data-ae-style="auto_height"] .ae-image-cover {display:block}
.aeContainerWrap div.ae-paragraph[data-ae-type='image'][data-ae-style="auto_height"] .ae-image-cover a {display:block}
.aeContainerWrap div.ae-paragraph[data-ae-type='image'][data-ae-style="auto_height"] .ae-image-cover img {max-width:none;width:100%}

/* type s_text*/
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="top-bar"] > div {position:relative;padding:24px 20px 20px;border:1px solid #d7d7d7;text-align:center}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="top-bar"] > div:before {content:'';position:absolute;top:0;right:0;left:0;width:20%;height:4px;margin:0 auto;background:#d7d7d7}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="big-rest"] > div {position:relative;padding:40px 30px;text-align:center}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="big-rest"] > div:before {content:'';position:absolute;top:5px;right:0;left:0;width:23px;height:19px;margin:0 auto;background:url(/html_editor/aram_editor/img/mobile/big_rest_open.png) no-repeat 0 0}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="big-rest"] > div:after {content:'';position:absolute;bottom:5px;right:0;left:0;width:23px;height:19px;margin:0 auto;background:url(/html_editor/aram_editor/img/mobile/big_rest_close.png) no-repeat 0 0}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="left-border"] > div {position:relative;padding:3px 15px}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="left-border"] > div:before {content:'';position:absolute;top:0px;left:0;width:5px;height:100%;background:#f73d4a}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="first-last-border"] > div {position:relative;padding:30px;text-align:center}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="first-last-border"] > div:before {content:'';position:absolute;top:0px;left:0;width:20px;height:20px;border-top:6px solid #111;border-left:6px solid #111}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="first-last-border"] > div:after {content:'';position:absolute;bottom:0px;right:0;width:20px;height:20px;border-right:6px solid #111;border-bottom:6px solid #111}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="left-bold-border"] > div {padding:15px;border:1px solid #d7d7d7;border-left:10px solid #9da6b2}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="top-bold-border"] > div {padding:15px 20px;border-top:3px solid #111;border-bottom:1px solid #d7d7d7;text-align:center}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="text-bubble"] {padding-bottom:20px}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="text-bubble"] > div {position:relative;padding:20px;border:2px solid #d7d7d7;border-radius:10px;text-align:center}
.aeContainerWrap div.ae-paragraph[data-ae-type='s_text'][data-ae-style="text-bubble"] > div:before {content:'';position:absolute;right:20%;bottom:-13px;width:13px;height:13px;background:url(/html_editor/aram_editor/img/mobile/text_bubble.png) no-repeat 0 0}

/* type line */
.aeContainerWrap div.ae-paragraph[data-ae-type='line'] {padding:15px 0;text-align:center}
.aeContainerWrap div.ae-paragraph[data-ae-type='line'][data-ae-style='default'] {padding:0}
.aeContainerWrap div.ae-paragraph[data-ae-type='line'] hr {margin:0}
.aeContainerWrap div.ae-paragraph[data-ae-type='line'] br {height:20px;line-height:20px}
.aeContainerWrap div.ae-paragraph[data-ae-type='line'][data-ae-style="center"] hr {width:10%;margin-left:auto;margin-right:auto}

/* type file */
.aeContainerWrap div.ae-paragraph[data-ae-type="file"] {width:100%}
.aeContainerWrap div.ae-paragraph[data-ae-type="file"] > a {display:inline-block;overflow:hidden;width:33.33%;min-width:150px;padding:10px 40px 10px 10px;border:1px solid #777;box-sizing:border-box;background-color:#fff;background-image:url(/html_editor/aram_editor/img/mobile/file_down.png);background-position:right center;background-repeat:no-repeat;text-align:left;text-overflow:ellipsis;white-space:nowrap;vertical-align:top}
.aeContainerWrap div.ae-paragraph[data-ae-type="file"][data-ae-style="full"] a {width:100%}